---
lang: en
title: 'API docs: authentication.authenticationcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationComponent](./authentication.authenticationcomponent.md)

## AuthenticationComponent class

**Signature:**

```typescript
export declare class AuthenticationComponent implements Component 
```
**Implements:** [Component](./core.component.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[providers](./authentication.authenticationcomponent.providers.md)


</td><td>


</td><td>

{ \[x: string\]: typeof [AuthenticateActionProvider](./authentication.authenticateactionprovider.md) \| typeof [AuthenticationMiddlewareProvider](./authentication.authenticationmiddlewareprovider.md) \| typeof [AuthMetadataProvider](./authentication.authmetadataprovider.md) \| typeof [AuthenticationStrategyProvider](./authentication.authenticationstrategyprovider.md)<!-- -->; }


</td><td>


</td></tr>
</tbody></table>

